org.apache.olingo.commons.api.constants

## Class Constantsv01

- java.lang.Object
- - org.apache.olingo.commons.api.constants.Constantsv01

- All Implemented Interfaces:
    IConstants

      public final class Constantsv01
      extends Object
      implements IConstants

  Constant values related to the OData protocol.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_ASSOCIATION_LINK`
    `static String` | `JSON_BIND_LINK_SUFFIX`
    `static String` | `JSON_CONTEXT`
    `static String` | `JSON_COUNT`
    `static String` | `JSON_DELTA_LINK`
    `static String` | `JSON_EDIT_LINK`
    `static String` | `JSON_ETAG`
    `static String` | `JSON_ID`
    `static String` | `JSON_MEDIA_CONTENT_TYPE`
    `static String` | `JSON_MEDIA_EDIT_LINK`
    `static String` | `JSON_MEDIA_ETAG`
    `static String` | `JSON_MEDIA_READ_LINK`
    `static String` | `JSON_METADATA`
    `static String` | `JSON_METADATA_ETAG`
    `static String` | `JSON_NAVIGATION_LINK`
    `static String` | `JSON_NEXT_LINK`
    `static String` | `JSON_READ_LINK`
    `static String` | `JSON_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constantsv01()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAssociationLink()`
    `String` | `getBind()`
    `String` | `getContext()`
    `String` | `getCount()`
    `String` | `getDeltaLink()`
    `String` | `getEditLink()`
    `String` | `getEtag()`
    `String` | `getId()`
    `String` | `getMediaContentType()`
    `String` | `getMediaEditLink()`
    `String` | `getMediaEtag()`
    `String` | `getMediaReadLink()`
    `String` | `getMetadata()`
    `String` | `getMetadataEtag()`
    `String` | `getNavigationLink()`
    `String` | `getNextLink()`
    `String` | `getReadLink()`
    `String` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JSON_METADATA

          public static final String JSON_METADATA

      See Also:
        Constant Field Values

    - #### JSON_TYPE

          public static final String JSON_TYPE

      See Also:
        Constant Field Values

    - #### JSON_ID

          public static final String JSON_ID

      See Also:
        Constant Field Values

    - #### JSON_READ_LINK

          public static final String JSON_READ_LINK

      See Also:
        Constant Field Values

    - #### JSON_EDIT_LINK

          public static final String JSON_EDIT_LINK

      See Also:
        Constant Field Values

    - #### JSON_CONTEXT

          public static final String JSON_CONTEXT

      See Also:
        Constant Field Values

    - #### JSON_ETAG

          public static final String JSON_ETAG

      See Also:
        Constant Field Values

    - #### JSON_MEDIA_ETAG

          public static final String JSON_MEDIA_ETAG

      See Also:
        Constant Field Values

    - #### JSON_MEDIA_CONTENT_TYPE

          public static final String JSON_MEDIA_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### JSON_MEDIA_READ_LINK

          public static final String JSON_MEDIA_READ_LINK

      See Also:
        Constant Field Values

    - #### JSON_MEDIA_EDIT_LINK

          public static final String JSON_MEDIA_EDIT_LINK

      See Also:
        Constant Field Values

    - #### JSON_METADATA_ETAG

          public static final String JSON_METADATA_ETAG

      See Also:
        Constant Field Values

    - #### JSON_BIND_LINK_SUFFIX

          public static final String JSON_BIND_LINK_SUFFIX

      See Also:
        Constant Field Values

    - #### JSON_ASSOCIATION_LINK

          public static final String JSON_ASSOCIATION_LINK

      See Also:
        Constant Field Values

    - #### JSON_NAVIGATION_LINK

          public static final String JSON_NAVIGATION_LINK

      See Also:
        Constant Field Values

    - #### JSON_COUNT

          public static final String JSON_COUNT

      See Also:
        Constant Field Values

    - #### JSON_NEXT_LINK

          public static final String JSON_NEXT_LINK

      See Also:
        Constant Field Values

    - #### JSON_DELTA_LINK

          public static final String JSON_DELTA_LINK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constantsv01

          public Constantsv01()

  - ### Method Detail

    - #### getMetadata

          public String getMetadata()

      Specified by:
        `getMetadata` in interface `IConstants`

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `IConstants`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `IConstants`

    - #### getReadLink

          public String getReadLink()

      Specified by:
        `getReadLink` in interface `IConstants`

    - #### getEditLink

          public String getEditLink()

      Specified by:
        `getEditLink` in interface `IConstants`

    - #### getContext

          public String getContext()

      Specified by:
        `getContext` in interface `IConstants`

    - #### getEtag

          public String getEtag()

      Specified by:
        `getEtag` in interface `IConstants`

    - #### getMediaEtag

          public String getMediaEtag()

      Specified by:
        `getMediaEtag` in interface `IConstants`

    - #### getMediaContentType

          public String getMediaContentType()

      Specified by:
        `getMediaContentType` in interface `IConstants`

    - #### getMediaReadLink

          public String getMediaReadLink()

      Specified by:
        `getMediaReadLink` in interface `IConstants`

    - #### getMediaEditLink

          public String getMediaEditLink()

      Specified by:
        `getMediaEditLink` in interface `IConstants`

    - #### getMetadataEtag

          public String getMetadataEtag()

      Specified by:
        `getMetadataEtag` in interface `IConstants`

    - #### getBind

          public String getBind()

      Specified by:
        `getBind` in interface `IConstants`

    - #### getAssociationLink

          public String getAssociationLink()

      Specified by:
        `getAssociationLink` in interface `IConstants`

    - #### getNavigationLink

          public String getNavigationLink()

      Specified by:
        `getNavigationLink` in interface `IConstants`

    - #### getCount

          public String getCount()

      Specified by:
        `getCount` in interface `IConstants`

    - #### getNextLink

          public String getNextLink()

      Specified by:
        `getNextLink` in interface `IConstants`

    - #### getDeltaLink

          public String getDeltaLink()

      Specified by:
        `getDeltaLink` in interface `IConstants`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.